package org.springblade.statistics.vo;

import lombok.Data;

@Data
public class ParkTodayDataVO {
	private Integer peopleInNum;
	private Integer peopleOutNum;
	private Integer carInNum;
	private Integer carOutNum;


	public static final class ParkTodayDataVOBuilder {
		private Integer peopleInNum;
		private Integer peopleOutNum;
		private Integer carInNum;
		private Integer carOutNum;

		public ParkTodayDataVOBuilder() {
		}

		public static ParkTodayDataVOBuilder aParkTodayDataVO() {
			return new ParkTodayDataVOBuilder();
		}

		public ParkTodayDataVOBuilder withPeopleInNum(Integer peopleInNum) {
			this.peopleInNum = peopleInNum;
			return this;
		}

		public ParkTodayDataVOBuilder withPeopleOutNum(Integer peopleOutNum) {
			this.peopleOutNum = peopleOutNum;
			return this;
		}

		public ParkTodayDataVOBuilder withCarInNum(Integer carInNum) {
			this.carInNum = carInNum;
			return this;
		}

		public ParkTodayDataVOBuilder withCarOutNum(Integer carOutNum) {
			this.carOutNum = carOutNum;
			return this;
		}

		public ParkTodayDataVO build() {
			ParkTodayDataVO parkTodayDataVO = new ParkTodayDataVO();
			parkTodayDataVO.setPeopleInNum(peopleInNum);
			parkTodayDataVO.setPeopleOutNum(peopleOutNum);
			parkTodayDataVO.setCarInNum(carInNum);
			parkTodayDataVO.setCarOutNum(carOutNum);
			return parkTodayDataVO;
		}
	}
}
